Subject: Re: bug#2022: 23.0.60; Rmail buffer marked modified after saving it

From: Glenn Morris <[email-masked]>
Date: Sat, 24 Jan 2009 19:12:15 -0500

Eli Zaretskii wrote:

>   emacs -Q
>   C-u M-x rmail FOO RET
>   C-u g FOO.2 RET
>
> The last command automatically saves the Rmail inbox (as it should),

Yes, and at this point (after the new mail has been inserted) the
buffer is (correctly) marked unmodified.

> but the buffer is nevertheless marked modified after the save.

But immediately after this, rmail-set-attribute is called to remove
the "unseen" attribute from the first new mail inserted from FOO.2.
This (correctly) marks the buffer as modified. If the mails in FOO.2
have already been seen, no buffer modification occurs.